diff -ruN asterisk-10.5.1-orig/apps/app_transfer.c asterisk-10.5.1/apps/app_transfer.c
--- asterisk-10.5.1-orig/apps/app_transfer.c	2012-04-03 17:08:47.000000000 -0300
+++ asterisk-10.5.1/apps/app_transfer.c	2012-06-26 17:12:01.657049446 -0300
@@ -72,6 +72,8 @@
 					</value>
 				</variable>
 			</variablelist>
+			<para>In case of transfer status code available, it will be reported
+			in the <variable>TRANSFERCODE</variable> channel variable.</para>
 		</description>
 	</application>
  ***/
diff -ruN asterisk-10.5.1-orig/channels/chan_sip.c asterisk-10.5.1/channels/chan_sip.c
--- asterisk-10.5.1-orig/channels/chan_sip.c	2012-05-30 11:24:20.000000000 -0300
+++ asterisk-10.5.1/channels/chan_sip.c	2012-06-26 17:13:58.684049446 -0300
@@ -21138,6 +21138,13 @@
 	if (!p->refer)
 		return;
 
+	if (p->owner)
+	{
+		char respcode[100];
+		sprintf(respcode,"%d",resp);
+		pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", respcode);
+	}
+
 	switch (resp) {
 	case 202:   /* Transfer accepted */
 		/* We need  to do something here */
@@ -22487,6 +22494,9 @@
 			}
 			break;
 		}
+		if (p->owner) {
+			pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", code);
+		}
 		if (success == FALSE) {
 			ast_log(LOG_NOTICE, "Transfer failed. Sorry. Nothing further to do with this call\n");
 		}
